summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBill Yi <byi@google.com>2022-03-25 20:30:20 -0700
committerBill Yi <byi@google.com>2022-03-25 20:30:20 -0700
commitfa6cbb870b3ed64da9aad0cd486af8153b84a012 (patch)
treec63e0b4f0ad10410bb2e02e9a41ae8a0c7c3a1b6
parent401b2ec1bf5b2d4ddd7dc96ff7fdb1138f411465 (diff)
downloadcommon-fa6cbb870b3ed64da9aad0cd486af8153b84a012.tar.gz
Update fastboot version checking to 3301 to support Pixel 7
This script is only used for packaging factory images by the AOSP team. It does not affect build. TEST: flashed Pixel 7 BUG: 217478568 Change-Id: Ie82f2c3efcc88d788f6e914ae37b6a9d38955cb5
-rw-r--r--generate-factory-images-common.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/generate-factory-images-common.sh b/generate-factory-images-common.sh
index 95f4e35..9a6f5ad 100644
--- a/generate-factory-images-common.sh
+++ b/generate-factory-images-common.sh
@@ -101,7 +101,7 @@ cat > tmp/$PRODUCT-$VERSION/flash-all.sh << EOF
# See the License for the specific language governing permissions and
# limitations under the License.
-if ! [ \$(\$(which fastboot) --version | grep "version" | cut -c18-23 | sed 's/\.//g' ) -ge 3103 ]; then
+if ! [ \$(\$(which fastboot) --version | grep "version" | cut -c18-23 | sed 's/\.//g' ) -ge 3301 ]; then
echo "fastboot too old; please download the latest version at https://developer.android.com/studio/releases/platform-tools.html"
exit 1
fi
@@ -258,7 +258,7 @@ cat > tmp/$PRODUCT-$VERSION/flash-base.sh << EOF
# See the License for the specific language governing permissions and
# limitations under the License.
-if ! [ \$(\$(which fastboot) --version | grep "version" | cut -c18-23 | sed 's/\.//g' ) -ge 3103 ]; then
+if ! [ \$(\$(which fastboot) --version | grep "version" | cut -c18-23 | sed 's/\.//g' ) -ge 3301 ]; then
echo "fastboot too old; please download the latest version at https://developer.android.com/studio/releases/platform-tools.html"
exit 1
fi